GET https://api.d-tools.com/SI/Subscribe/ServiceOrders?clients[0]={clients[0]}&clients[1]={clients[1]}&progresses[0]={progresses[0]}&progresses[1]={progresses[1]}&includeImported={includeImported}&searchText={searchText}&includeDeleted={includeDeleted}&pageNumber={pageNumber}&pageSize={pageSize}
Get service order published by a SI user.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| clients |
Clients to filter service orders (Optional) |
Collection of string |
None. |
| progresses |
Progresses to filter servic orders (Optional) |
Collection of string |
None. |
| includeImported |
Boolean. Include already imported service orders. Optional with default value false which means by default you will only see service orders which are not imported. |
boolean |
Default value is False |
| searchText |
The search text. |
string |
None. |
| includeDeleted |
Boolean. Include service order deleted in SI. Optional with default value false which means by default you will only see active service orders which are not deleted. |
boolean |
Default value is False |
| pageNumber |
The page number. |
integer |
Default value is 1 |
| pageSize |
The page size. |
integer |
Default value is 50 |
Body Parameters
None.
Response Information
Resource Description
ServiceOrdersResult| Name | Description | Type | Additional information |
|---|---|---|---|
| ServiceOrders |
Service orders |
Collection of ServiceOrderInfo |
None. |
| TotalCount |
Total count of service orders |
integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"ServiceOrders": [
{
"Id": "sample string 1",
"Client": "sample string 2",
"Number": "sample string 3",
"Name": "sample string 4",
"Progress": "sample string 5",
"Description": "sample string 6",
"ImportedOn": "2026-06-18T01:37:30.0868639+00:00",
"PublishedOn": "2026-06-18T01:37:30.0868639+00:00",
"Deleted": true
},
{
"Id": "sample string 1",
"Client": "sample string 2",
"Number": "sample string 3",
"Name": "sample string 4",
"Progress": "sample string 5",
"Description": "sample string 6",
"ImportedOn": "2026-06-18T01:37:30.0868639+00:00",
"PublishedOn": "2026-06-18T01:37:30.0868639+00:00",
"Deleted": true
}
],
"TotalCount": 1
}